Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3049 2018-05-29 13:52:36Z Giersch
 ! Error messages revised
 ! 
@@ -136,5 +139,5 @@
 
     USE cloud_parameters,                                                      &
-        ONLY:  l_d_rv, l_v, molecular_weight_of_solute,                        &
+        ONLY:  l_v, molecular_weight_of_solute,                        &
                molecular_weight_of_water, rho_l, rho_s, r_v, vanthoff
 
@@ -143,5 +146,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dt_3d, dz, message_string, molecular_viscosity, rho_surface
+        ONLY:  dt_3d, message_string, molecular_viscosity, rho_surface
 
     USE cpulog,                                                                &
@@ -160,6 +163,6 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  curvature_solution_effects, hall_kernel, number_of_particles,   &
-               particles, radius_classes, use_kernel_tables, wang_kernel
+        ONLY:  curvature_solution_effects, number_of_particles,   &
+               particles, radius_classes, use_kernel_tables
 
     IMPLICIT NONE
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3065 2018-06-12 07:03:02Z Giersch
 ! dz was replaced by dzw or dz(1) to allow for right vertical stretching
 ! 
@@ -1051,6 +1054,6 @@
 
     USE cloud_parameters,                                                      &
-        ONLY: l_d_rv, molecular_weight_of_solute,                              &
-              molecular_weight_of_water, rho_l, r_v, rho_s, vanthoff
+        ONLY: molecular_weight_of_solute, molecular_weight_of_water, rho_l,    &
+              r_v, rho_s, vanthoff
 
     USE constants,                                                             &
Index: palm/trunk/SOURCE/lpm_init_sgs_tke.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init_sgs_tke.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_init_sgs_tke.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -82,6 +85,5 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, ngp_2dh_outer, nxl, nxr, nyn, nys, nzb,                   &
-               nzb_s_outer, nzt, wall_flags_0
+        ONLY:  nbgp, ngp_2dh_outer, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_0
 
     USE kinds
@@ -222,5 +224,5 @@
              DO  k = nzb, nzt+1
 !
-!--             Flag indicate nzb_s_outer 
+!--             Flag indicating vicinity of wall
                 flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 24 ) )
 
@@ -262,5 +264,5 @@
              DO  k = nzb, nzt+1
 !
-!--             Flag indicate nzb_s_outer 
+!--             Flag indicating vicinity of wall
                 flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 24 ) )
 
Index: palm/trunk/SOURCE/lpm_merging.f90
===================================================================
--- palm/trunk/SOURCE/lpm_merging.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_merging.f90	(revision 3241)
@@ -25,15 +25,13 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
-! 
-! 
 ! Change in file header (GPL part)
-!
 ! Added comments
-! 
 ! 
 ! 2263 2017-06-08 14:59:01Z schwenkel
 ! Initial revision
-! 
 ! 
 !
@@ -64,5 +62,5 @@
     USE particle_attributes,                                                   &
         ONLY:  deleted_particles, grid_particles, initial_weighting_factor,    &     
-               merge_drp, merging, number_of_particles, particles, prt_count,  &
+               merge_drp, number_of_particles, particles, prt_count,           &
                radius_merge, sum_merge_drp, weight_factor_merge
 
Index: palm/trunk/SOURCE/lpm_pack_arrays.f90
===================================================================
--- palm/trunk/SOURCE/lpm_pack_arrays.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_pack_arrays.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2801 2018-02-14 16:01:55Z thiele
 ! Introduce particle transfer in nested models.
 ! 
@@ -123,20 +126,18 @@
     SUBROUTINE lpm_sort_in_subboxes
 
-       USE cpulog,                                                              &
+       USE cpulog,                                                             &
           ONLY:  cpu_log, log_point_s
 
-       USE indices,                                                             &
+       USE indices,                                                            &
           ONLY:  nxl, nxr, nys, nyn, nzb, nzt
 
        USE kinds
 
-       USE control_parameters,                                                  &
-          ONLY: dz
-       
-       USE grid_variables,                                                      &
+       USE grid_variables,                                                     &
           ONLY: dx,dy,ddx, ddy
            
-       USE arrays_3d,                                                           &
+       USE arrays_3d,                                                          &
           ONLY:  zu
+
        IMPLICIT NONE
 
@@ -146,5 +147,4 @@
        INTEGER(iwp) ::  j  !<
        INTEGER(iwp) ::  jp !<
-       INTEGER(iwp) ::  k  !<
        INTEGER(iwp) ::  kp !<
        INTEGER(iwp) ::  m  !<
Index: palm/trunk/SOURCE/lpm_set_attributes.f90
===================================================================
--- palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3065 2018-06-12 07:03:02Z Giersch
 ! dz was replaced by dzw to allow for right vertical stretching
 ! 
@@ -83,5 +86,5 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  dzw, pt, u, v, w, zu, zw
+        ONLY:  dzw, pt, u, v, zu
 
     USE control_parameters,                                                    &
@@ -92,6 +95,5 @@
 
     USE dvrp_variables,                                                        &
-        ONLY:  color_interval, dvrp_colortable_entries_prt, dvrpsize_interval, &
-               particle_color, particle_dvrpsize
+        ONLY:  color_interval, dvrp_colortable_entries_prt, particle_color
 
     USE grid_variables,                                                        &
@@ -140,7 +142,4 @@
     REAL(wp)    ::  v_int_l   !<
     REAL(wp)    ::  v_int_u   !<
-    REAL(wp)    ::  w_int     !<
-    REAL(wp)    ::  w_int_l   !<
-    REAL(wp)    ::  w_int_u   !<
     REAL(wp)    ::  x         !<
     REAL(wp)    ::  y         !<
Index: palm/trunk/SOURCE/lpm_splitting.f90
===================================================================
--- palm/trunk/SOURCE/lpm_splitting.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_splitting.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2932 2018-03-26 09:39:22Z maronga
 ! renamed particles_par to particle_parameters
 ! 
@@ -76,10 +79,8 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  grid_particles, iran_part, initial_weighting_factor, isf,       &
-               i_splitting_mode, max_number_particles_per_gridbox,             &  
-               new_particles, n_max, number_concentration,                     &
-               number_of_particles, number_particles_per_gridbox, particles,   &
-               particle_type, prt_count, radius_split, splitting,              &
-               splitting_factor, splitting_factor_max, splitting_mode,         &
+        ONLY:  grid_particles, initial_weighting_factor, isf, i_splitting_mode,&
+               max_number_particles_per_gridbox, new_particles, n_max,         &
+               number_of_particles, particles, particle_type, prt_count,       &
+               radius_split, splitting_factor, splitting_factor_max,           &
                sum_new_particles, weight_factor_split                        
 
Index: palm/trunk/SOURCE/lpm_write_exchange_statistics.f90
===================================================================
--- palm/trunk/SOURCE/lpm_write_exchange_statistics.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_write_exchange_statistics.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2967 2018-04-13 11:22:08Z raasch
 ! nesting routine is only called if nesting is switched on
 ! bugfix: missing parallel cpp-directives added
@@ -93,8 +96,8 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  grid_particles,  number_of_particles, prt_count,                &
-               trlp_count_sum, trlp_count_recv_sum, trnp_count_sum,            &
-               trnp_count_recv_sum, trrp_count_sum, trrp_count_recv_sum,       &
-               trsp_count_sum, trsp_count_recv_sum
+        ONLY:  number_of_particles, prt_count, trlp_count_sum,                 &
+               trlp_count_recv_sum, trnp_count_sum, trnp_count_recv_sum,       &
+               trrp_count_sum, trrp_count_recv_sum, trsp_count_sum,            &
+               trsp_count_recv_sum
 
     USE pmc_particle_interface,                                                &
Index: palm/trunk/SOURCE/message.f90
===================================================================
--- palm/trunk/SOURCE/message.f90	(revision 3240)
+++ palm/trunk/SOURCE/message.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3019 2018-05-13 07:05:43Z maronga
 ! Temporaraly deactivate MPI_BARRIER as long as nested systems freeze due to
 ! asynchronous calls of location_message.
@@ -263,5 +266,5 @@
 
     USE pmc_interface,                                                         &
-        ONLY:  cpl_id, nested_run
+        ONLY:  cpl_id
 
     IMPLICIT NONE
@@ -270,7 +273,4 @@
     LOGICAL          ::  advance  !< switch for advancing/noadvancing I/O
 
-#if defined( __parallel )
-!    IF ( nested_run )  CALL MPI_BARRIER( MPI_COMM_WORLD, ierr )
-#endif
 !
 !-- Output for nested runs only on the root domain
Index: palm/trunk/SOURCE/microphysics_mod.f90
===================================================================
--- palm/trunk/SOURCE/microphysics_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/microphysics_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3026 2018-05-22 10:30:53Z schwenkel
 ! Changed the name specific humidity to mixing ratio, since we are computing
 ! mixing ratios.
@@ -201,5 +204,4 @@
     REAL(wp) ::  k_br = 1000.0_wp          !< const. in breakup parametrization (m-1)
     REAL(wp) ::  k_st = 1.2E8_wp           !< const. in drizzle parametrization (m-1 s-1)
-    REAL(wp) ::  kappa_rr = 60.7_wp        !< const. in collision kernel (kg-1/3)
     REAL(wp) ::  kin_vis_air = 1.4086E-5_wp  !< kin. viscosity of air (m2 s-1)
     REAL(wp) ::  prec_time_const = 0.001_wp  !< coef. in Kessler scheme (s-1)
@@ -212,5 +214,4 @@
     REAL(wp) ::  xamin = 5.24E-19_wp       !< average aerosol mass (kg) (~ 0.05Âµm)
     REAL(wp) ::  xcmin = 4.18E-15_wp       !< minimum cloud drop size (kg) (~ 1Âµm)
-    REAL(wp) ::  xcmax = 2.6E-10_wp        !< maximum cloud drop size (kg) (~ 40Âµm)
     REAL(wp) ::  xrmin = 2.6E-10_wp        !< minimum rain drop size (kg)
     REAL(wp) ::  xrmax = 5.0E-6_wp         !< maximum rain drop site (kg)
@@ -556,13 +557,9 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  hyp, nc, nr, pt, q,  qc, qr
+           ONLY:  nc
 
        USE cloud_parameters,                                                   &
-           ONLY:  hyrho, l_d_cp, l_d_r, l_v, molecular_weight_of_solute,       &
-                  molecular_weight_of_water, rho_l, rho_s, r_v, t_d_pt,        &
-                  vanthoff
-
-       USE constants,                                                          &
-           ONLY:  pi
+           ONLY:  molecular_weight_of_solute,       &
+                  molecular_weight_of_water, rho_l, rho_s, r_v, vanthoff
 
        USE cpulog,                                                             &
@@ -570,5 +567,5 @@
 
        USE diagnostic_quantities_mod,                                          &
-           ONLY: e_s, magnus, q_s, sat, supersaturation, t_l
+           ONLY:  magnus, sat, supersaturation, t_l
 
        USE indices,                                                            &
@@ -576,7 +573,4 @@
 
        USE kinds
-
-       USE control_parameters,                                                 &
-          ONLY: simulated_time
 
        IMPLICIT NONE
@@ -684,8 +678,8 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  hyp, nr, pt, q,  qc, qr, nc
+           ONLY:  q,  qc, qr, nc
 
        USE cloud_parameters,                                                   &
-           ONLY:  hyrho, l_d_cp, l_d_r, l_v, r_v, t_d_pt
+           ONLY:  hyrho, l_d_cp, l_v, r_v
 
        USE constants,                                                          &
@@ -702,7 +696,4 @@
 
        USE kinds
-
-       USE control_parameters,                                                 &
-          ONLY: simulated_time
 
        IMPLICIT NONE
@@ -716,5 +707,4 @@
        REAL(wp)     ::  dc                !<
        REAL(wp)     ::  evap              !<
-       REAL(wp)     ::  evap_nc           !<
        REAL(wp)     ::  g_fac             !<
        REAL(wp)     ::  nc_0              !<
@@ -1173,8 +1163,8 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  hyp, nr, pt, q,  qc, qr
+           ONLY:  nr, qc, qr
 
        USE cloud_parameters,                                                   &
-           ONLY:  hyrho, l_d_cp, l_d_r, l_v, r_v, t_d_pt
+           ONLY:  hyrho, l_d_cp, l_v, r_v
 
        USE constants,                                                          &
@@ -1185,5 +1175,5 @@
 
        USE diagnostic_quantities_mod,                                          &
-           ONLY: e_s, magnus, q_s, sat, supersaturation, t_l
+           ONLY: e_s, magnus, sat, supersaturation, t_l
 
        USE indices,                                                            &
@@ -1461,5 +1451,4 @@
        INTEGER(iwp) ::  k             !< running index z direction
        INTEGER(iwp) ::  k_run         !<
-       INTEGER(iwp) ::  l             !< running index of surface type
        INTEGER(iwp) ::  m             !< running index surface elements
        INTEGER(iwp) ::  surf_e        !< End index of surface elements at (j,i)-gridpoint
@@ -1713,7 +1702,4 @@
                   precipitation_amount_interval, time_do2d_xy
 
-       USE indices,                                                            &
-           ONLY:  nxl, nxr, nys, nyn, nzb, nzt, wall_flags_0
-
        USE kinds
 
@@ -1727,6 +1713,4 @@
        INTEGER(iwp) ::  k             !< running index y direction
        INTEGER(iwp) ::  m             !< running index surface elements
-       INTEGER(iwp) ::  surf_e        !< End index of surface elements at (j,i)-gridpoint
-       INTEGER(iwp) ::  surf_s        !< Start index of surface elements at (j,i)-gridpoint
 
        IF ( ( dt_do2d_xy - time_do2d_xy ) < precipitation_amount_interval .AND.&
@@ -1945,24 +1929,18 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  hyp, nr, pt, q,  qc, qr, nc
+           ONLY:  hyp
 
        USE cloud_parameters,                                                   &
-           ONLY:  hyrho, l_d_cp, l_d_r, l_v, molecular_weight_of_solute,       &
+           ONLY:  l_d_cp, l_d_r, molecular_weight_of_solute,                   &
                   molecular_weight_of_water, rho_l, rho_s, r_v, t_d_pt,        &
                   vanthoff
 
-       USE constants,                                                          &
-           ONLY:  pi
-
        USE cpulog,                                                             &
-           ONLY:  cpu_log, log_point_s
+           ONLY:  cpu_log
 
        USE indices,                                                            &
-           ONLY:  nxlg, nxrg, nysg, nyng, nzb, nzt
+           ONLY:  nzb, nzt
 
        USE kinds
-
-       USE control_parameters,                                                 &
-          ONLY: simulated_time
 
        IMPLICIT NONE
@@ -2085,5 +2063,5 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  hyp, nr, pt, q,  qc, qr, nc
+           ONLY:  hyp
 
        USE cloud_parameters,                                                   &
@@ -2094,13 +2072,10 @@
 
        USE cpulog,                                                             &
-           ONLY:  cpu_log, log_point_s
+           ONLY:  cpu_log
 
        USE indices,                                                            &
-           ONLY:  nxlg, nxrg, nysg, nyng, nzb, nzt
+           ONLY:  nzb, nzt
 
        USE kinds
-
-       USE control_parameters,                                                 &
-          ONLY: simulated_time
 
        IMPLICIT NONE
@@ -2116,5 +2091,4 @@
        REAL(wp)     ::  e_s               !<
        REAL(wp)     ::  evap              !<
-       REAL(wp)     ::  evap_nc           !<
        REAL(wp)     ::  g_fac             !<
        REAL(wp)     ::  nc_0              !<
@@ -3027,7 +3001,4 @@
                   precipitation_amount_interval, time_do2d_xy
 
-       USE indices,                                                            &
-           ONLY:  nzb, nzt, wall_flags_0
-
        USE kinds
 
